package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 系统服务对象
 */
@Data
public class AddAuthSoftwareVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号",required = true)
    @NotNull(message = "系统服务编号为空")
    private Long id;

    @ApiModelProperty(value = "服务名称")
    private String name;

    @ApiModelProperty(value = "数据权限详情列表",required = true)
    @NotEmpty(message = "数据权限详情列表为空")
    private List<DataAuthDetailVO> dataAuthDetailVOS;
}
