package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 用户组织机构树对象
 * </p>
 */
@Data
public class AddHospitalTreeVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "医院编号",required = true)
    @NotNull(message = "医院编号不能为空")
    private Long id;

    @ApiModelProperty(value = "医院名称")
    private String name;

    @ApiModelProperty(value = "组织类型（0:AI病案质控平台 1:集团医院 2:医共 3:医联 4:医院）",required = true)
    @NotNull(message = "组织类型不能为空")
    private String type;

    @ApiModelProperty(value = "科室id列表")
    private List<Long> depts;

    @ApiModelProperty(value = "医院的id列表")
    private List<Long> hospitals;

}
