package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 系统字典表 实体类
 * </p>
 */
@Data
@TableName("sys_dictionary_info")
public class DictionaryInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 分组（值自定义）
     */
    @TableField("group_type")
    private Long groupType;

    /**
     * 内容
     */
    @TableField("name")
    private String name;

    /**
     * 值
     */
    @TableField("val")
    private String val;

    /**
     * 是否启用(0-否 1-是)
     */
    @TableField("status")
    @JsonIgnore
    private Long status;

    /**
     * 是否启用(启用 禁用)
     */
    @TableField(exist = false)
    private String statusStr;

    /**
     * 返回类型（0: 都返回，1：后台维护返回 2：界面返回）
     */
    @TableField("return_type")
    @JsonIgnore
    private Integer returnType;

    /**
     * 排序号
     */
    @TableField("order_no")
    @JsonIgnore
    private Integer orderNo;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    @JsonIgnore
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    @JsonIgnore
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    @JsonIgnore
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    @JsonIgnore
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    @JsonIgnore
    private String modifier;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}